Canaux de notification
GET https://k.aws.bj/api/notification-handlers/
curl --request GET \
--url 'https://k.aws.bj/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://k.aws.bj/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Optionnel Chaîne | Texte de recherche. |
| search_by | Optionnel Chaîne | Champ de recherche. Valeurs : name. |
| is_enabled | Optionnel Booléen | |
| type | Optionnel Chaîne | Champ de recherche. Valeurs : email, webhook, slack, discord, telegram, microsoft_teams, twilio, x, google_chat, internal_notification. |
| datetime_field | Optionnel Chaîne | Valeurs : datetime, last_datetime |
| datetime_start | Optionnel Chaîne | Début (format d-m-Y H:i:s). |
| datetime_end | Optionnel Chaîne | Fin (format d-m-Y H:i:s). |
| order_by | Optionnel Chaîne | Champ de tri. Valeurs : notification_handler_id, datetime, last_datetime, name. |
| order_type | Optionnel Chaîne | Ordre : ASC (croissant) ou DESC (décroissant). |
| search | Optionnel Chaîne | Texte de recherche. |
| search_by | Optionnel Chaîne | Champ de recherche. Valeurs : name. |
| is_enabled | Optionnel Booléen | |
| type | Optionnel Chaîne | Champ de recherche. Valeurs : email, webhook, slack, discord, telegram, microsoft_teams, twilio, x, google_chat, internal_notification. |
| datetime_field | Optionnel Chaîne | Valeurs : datetime, last_datetime |
| datetime_start | Optionnel Chaîne | Début (format d-m-Y H:i:s). |
| datetime_end | Optionnel Chaîne | Fin (format d-m-Y H:i:s). |
| order_by | Optionnel Chaîne | Champ de tri. Valeurs : notification_handler_id, datetime, last_datetime, name. |
| order_type | Optionnel Chaîne | Ordre : ASC (croissant) ou DESC (décroissant). |
| page | Optionnel Entier | Numéro de page. Par défaut : 1. |
| results_per_page | Optionnel Entier | Résultats par page. Valeurs : 10, 25, 50, 100, 250, 500, 1000. Défaut : 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-13 23:51:49",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://k.aws.bj/api/notification-handlers?page=1",
"last": "https://k.aws.bj/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://k.aws.bj/api/notification-handlers?page=1"
}
}
GET https://k.aws.bj/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://k.aws.bj/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://k.aws.bj/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-13 23:51:49",
}
}
POST https://k.aws.bj/api/notification-handlers
| Paramètres | Détails | Description |
|---|---|---|
| name | Obligatoire Chaîne | - |
| type | Obligatoire Chaîne | Valeurs : email, webhook, slack, discord, telegram, microsoft_teams, twilio, x, google_chat, internal_notification |
| Optionnel Chaîne | Disponible si : type = email E-mail | |
| webhook | Optionnel Chaîne | Disponible si : type = webhook URL webhook |
| slack | Optionnel Chaîne | Disponible si : type = slack URL webhook Slack |
| discord | Optionnel Chaîne | Disponible si : type = discord URL webhook Discord |
| telegram | Optionnel Chaîne | Disponible si : type = telegram Token API Telegram |
| telegram_chat_id | Optionnel Chaîne | Disponible si : type = telegram ID chat Telegram |
| microsoft_teams | Optionnel Chaîne | Disponible si : type = microsoft_teams URL webhook Teams |
| google_chat | Optionnel Chaîne | Disponible si : type = google_chat URL webhook Google Chat |
| x_consumer_key | Optionnel Chaîne | Disponible si : type = x Token API Telegram |
| x_consumer_secret | Optionnel Chaîne | Disponible si : type = x Token API Telegram |
| x_access_token | Optionnel Chaîne | Disponible si : type = x Token API Telegram |
| x_access_token_secret | Optionnel Chaîne | Disponible si : type = x Token API Telegram |
| twilio | Optionnel Chaîne | Disponible si : type = twilio Téléphone |
curl --request POST \
--url 'https://k.aws.bj/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://k.aws.bj/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://k.aws.bj/api/notification-handlers/{notification_handler_id}
| Paramètres | Détails | Description |
|---|---|---|
| name | Optionnel Chaîne | - |
| type | Optionnel Chaîne | Valeurs : email, webhook, slack, discord, telegram, microsoft_teams, twilio, x, google_chat, internal_notification |
| Optionnel Chaîne | Disponible si : type = email E-mail | |
| webhook | Optionnel Chaîne | Disponible si : type = webhook URL webhook |
| slack | Optionnel Chaîne | Disponible si : type = slack URL webhook Slack |
| discord | Optionnel Chaîne | Disponible si : type = discord URL webhook Discord |
| telegram | Optionnel Chaîne | Disponible si : type = telegram Token API Telegram |
| telegram_chat_id | Optionnel Chaîne | Disponible si : type = telegram ID chat Telegram |
| microsoft_teams | Optionnel Chaîne | Disponible si : type = microsoft_teams URL webhook Teams |
| google_chat | Optionnel Chaîne | Disponible si : type = google_chat URL webhook Google Chat |
| x_consumer_key | Optionnel Chaîne | Disponible si : type = x Token API Telegram |
| x_consumer_secret | Optionnel Chaîne | Disponible si : type = x Token API Telegram |
| x_access_token | Optionnel Chaîne | Disponible si : type = x Token API Telegram |
| x_access_token_secret | Optionnel Chaîne | Disponible si : type = x Token API Telegram |
| twilio | Optionnel Chaîne | Disponible si : type = twilio Téléphone |
| is_enabled | Optionnel Booléen | - |
curl --request POST \
--url 'https://k.aws.bj/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://k.aws.bj/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://k.aws.bj/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://k.aws.bj/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://k.aws.bj/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \